package event

import cdssdk "gitlink.org.cn/cloudream/common/sdks/storage"

type HubCheckStorage struct {
	EventBase
	StorageID cdssdk.StorageID `json:"storageID"`
}

func NewHubCheckStorage(storageID cdssdk.StorageID) *HubCheckStorage {
	return &HubCheckStorage{
		StorageID: storageID,
	}
}

func init() {
	Register[*HubCheckStorage]()
}
